#include <bits/stdc++.h>
#define MOD 1000000007
using namespace std;



int main()
{
    int n,s;
    cin>>n;
    vector<int> kombinacija(27,0);
    kombinacija[0]=1;
    char x;
    for(int i=0;i<n;i++){
        cin>>x;
        s=x-'A'+1;
        kombinacija[s]+=kombinacija[s-1];
        kombinacija[s]%=MOD;
    }

    cout << kombinacija[26] << endl;
    return 0;
}